Get Wallet Transactions
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/2022-06-09/wallets/{walletLocator}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "tx-b984491a-5785-43c0-8811-45d46fe6e520",
"walletType": "evm-smart-wallet",
"status": "awaiting-approval",
"approvals": {
"pending": [
{
"signer": "evm-keypair:0xdeadbeef",
"message": "Please sign this transaction"
}
],
"submitted": []
},
"params": {
"calls": [
{
"to": "0x1234567890123456789012345678901234567890",
"value": "1000000000000000000",
"data": "0x"
}
],
"chain": "base",
"signer": "evm-keypair:0xdeadbeef"
},
"onChain": {
"userOperation": "... full user operation object",
"userOperationHash": "0xf719f9570671c6eb016f1f4a95ada4278b8e91f55bc384d70c69fd756919a41c"
},
"createdAt": "2024-01-01T00:00:00Z"
}
]
}{
"error": true,
"message": "<error message>"
}Wallets
Get Wallet Transactions
Retrieves all transactions associated with the specified wallet.
API scope required: wallets:transactions.read
GET
/
2022-06-09
/
wallets
/
{walletLocator}
/
transactions
Get Wallet Transactions
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<walletType>userId:<userId>:<walletType>userId:<userId>:<walletType>(white label user example)phoneNumber:<phoneNumber>:<walletType>twitter:<handle>:<walletType>x:<handle>:<walletType>
Response
The transactions have been successfully retrieved.
List of transactions with their status, signing requirements, and wallet type specific data
transactions
(EVM transaction response · object | Solana transaction response · object | EVM MPC transaction response · object | Solana smart wallet transaction response · object)[]
required
Complete transaction response including status, signing requirements, and wallet type specific data
- EVM transaction response
- Solana transaction response
- EVM MPC transaction response
- Solana smart wallet transaction response
Show child attributes
Show child attributes
Example:
{
"id": "tx-b984491a-5785-43c0-8811-45d46fe6e520",
"walletType": "evm-smart-wallet",
"status": "awaiting-approval",
"approvals": {
"pending": [
{
"signer": "evm-keypair:0xdeadbeef",
"message": "Please sign this transaction"
}
],
"submitted": []
},
"params": {
"calls": [
{
"to": "0x1234567890123456789012345678901234567890",
"value": "1000000000000000000",
"data": "0x"
}
],
"chain": "base",
"signer": "evm-keypair:0xdeadbeef"
},
"onChain": {
"userOperation": "... full user operation object",
"userOperationHash": "0xf719f9570671c6eb016f1f4a95ada4278b8e91f55bc384d70c69fd756919a41c"
},
"createdAt": "2024-01-01T00:00:00Z"
}
Was this page helpful?

